
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Chtb.c,40 :: 		void interrupt() //  (   tmr0)
;Chtb.c,42 :: 		ml++; tmr0=96; intcon=0x20; a++;
	INCF       _ml+0, 1
	MOVLW      96
	MOVWF      TMR0+0
	MOVLW      32
	MOVWF      INTCON+0
	INCF       _a+0, 1
;Chtb.c,44 :: 		if (a==1) {portb=0xff; portc=0x04; portb=d1;} //1 
	MOVF       _a+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt0
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      4
	MOVWF      PORTC+0
	MOVF       _d1+0, 0
	MOVWF      PORTB+0
L_interrupt0:
;Chtb.c,46 :: 		if (a==2) {portb=0xff; portc=0x14; portb=d2;} //2 
	MOVF       _a+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt1
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      20
	MOVWF      PORTC+0
	MOVF       _d2+0, 0
	MOVWF      PORTB+0
L_interrupt1:
;Chtb.c,48 :: 		if (a==3) {portb=0xff; portc=0x34; portb=d3;} //3 
	MOVF       _a+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt2
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      52
	MOVWF      PORTC+0
	MOVF       _d3+0, 0
	MOVWF      PORTB+0
L_interrupt2:
;Chtb.c,50 :: 		if (a==4) {portb=0xff; portc=0x64; portb=d4;} //4 
	MOVF       _a+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt3
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      100
	MOVWF      PORTC+0
	MOVF       _d4+0, 0
	MOVWF      PORTB+0
L_interrupt3:
;Chtb.c,52 :: 		if (a==5) {portb=0xff; portc=0x24; portb=d5; a=0;} //5 
	MOVF       _a+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt4
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      36
	MOVWF      PORTC+0
	MOVF       _d5+0, 0
	MOVWF      PORTB+0
	CLRF       _a+0
L_interrupt4:
;Chtb.c,54 :: 		if (bd2==1) {portb=0xff; sound_play(700,1000); bd2=0;} //.    . 
	BTFSS      _bd2+0, BitPos(_bd2+0)
	GOTO       L_interrupt5
	MOVLW      255
	MOVWF      PORTB+0
	MOVLW      188
	MOVWF      FARG_Sound_Play_freq_in_hz+0
	MOVLW      2
	MOVWF      FARG_Sound_Play_freq_in_hz+1
	MOVLW      232
	MOVWF      FARG_Sound_Play_duration_ms+0
	MOVLW      3
	MOVWF      FARG_Sound_Play_duration_ms+1
	CALL       _Sound_Play+0
	BCF        _bd2+0, BitPos(_bd2+0)
L_interrupt5:
;Chtb.c,55 :: 		}
L_end_interrupt:
L__interrupt231:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_cif:

;Chtb.c,57 :: 		char cif(char n) //     
;Chtb.c,59 :: 		switch (n)
	GOTO       L_cif6
;Chtb.c,61 :: 		case 0:  return 0xC0;
L_cif8:
	MOVLW      192
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,62 :: 		case 1:  return 0xF9;
L_cif9:
	MOVLW      249
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,63 :: 		case 2:  return 0xA4;
L_cif10:
	MOVLW      164
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,64 :: 		case 3:  return 0xB0;
L_cif11:
	MOVLW      176
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,65 :: 		case 4:  return 0x99;
L_cif12:
	MOVLW      153
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,66 :: 		case 5:  return 0x92;
L_cif13:
	MOVLW      146
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,67 :: 		case 6:  return 0x82;
L_cif14:
	MOVLW      130
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,68 :: 		case 7:  return 0xF8;
L_cif15:
	MOVLW      248
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,69 :: 		case 8:  return 0x80;
L_cif16:
	MOVLW      128
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,70 :: 		case 9:  return 0x90;
L_cif17:
	MOVLW      144
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,71 :: 		case 10: return 0x40; //0.
L_cif18:
	MOVLW      64
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,72 :: 		case 11: return 0x79; //1.
L_cif19:
	MOVLW      121
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,73 :: 		case 12: return 0x24; //2.
L_cif20:
	MOVLW      36
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,74 :: 		case 13: return 0x30; //3.
L_cif21:
	MOVLW      48
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,75 :: 		case 14: return 0x19; //4.
L_cif22:
	MOVLW      25
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,76 :: 		case 15: return 0x12; //5.
L_cif23:
	MOVLW      18
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,77 :: 		case 16: return 0x02; //6.
L_cif24:
	MOVLW      2
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,78 :: 		case 17: return 0x78; //7.
L_cif25:
	MOVLW      120
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,79 :: 		case 18: return 0x00; //8.
L_cif26:
	CLRF       R0+0
	GOTO       L_end_cif
;Chtb.c,80 :: 		case 19: return 0x10; //9.
L_cif27:
	MOVLW      16
	MOVWF      R0+0
	GOTO       L_end_cif
;Chtb.c,81 :: 		}
L_cif6:
	MOVF       FARG_cif_n+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_cif8
	MOVF       FARG_cif_n+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_cif9
	MOVF       FARG_cif_n+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_cif10
	MOVF       FARG_cif_n+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_cif11
	MOVF       FARG_cif_n+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_cif12
	MOVF       FARG_cif_n+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_cif13
	MOVF       FARG_cif_n+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_cif14
	MOVF       FARG_cif_n+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_cif15
	MOVF       FARG_cif_n+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_cif16
	MOVF       FARG_cif_n+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_cif17
	MOVF       FARG_cif_n+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_cif18
	MOVF       FARG_cif_n+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_cif19
	MOVF       FARG_cif_n+0, 0
	XORLW      12
	BTFSC      STATUS+0, 2
	GOTO       L_cif20
	MOVF       FARG_cif_n+0, 0
	XORLW      13
	BTFSC      STATUS+0, 2
	GOTO       L_cif21
	MOVF       FARG_cif_n+0, 0
	XORLW      14
	BTFSC      STATUS+0, 2
	GOTO       L_cif22
	MOVF       FARG_cif_n+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L_cif23
	MOVF       FARG_cif_n+0, 0
	XORLW      16
	BTFSC      STATUS+0, 2
	GOTO       L_cif24
	MOVF       FARG_cif_n+0, 0
	XORLW      17
	BTFSC      STATUS+0, 2
	GOTO       L_cif25
	MOVF       FARG_cif_n+0, 0
	XORLW      18
	BTFSC      STATUS+0, 2
	GOTO       L_cif26
	MOVF       FARG_cif_n+0, 0
	XORLW      19
	BTFSC      STATUS+0, 2
	GOTO       L_cif27
;Chtb.c,82 :: 		}
L_end_cif:
	RETURN
; end of _cif

_temp:

;Chtb.c,84 :: 		void temp()
;Chtb.c,86 :: 		ow_reset(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chtb.c,87 :: 		ow_write(&porta,2,0x33); // 
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      51
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,88 :: 		dtd=ow_read(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _dtd+0
;Chtb.c,90 :: 		ow_reset(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chtb.c,91 :: 		ow_write(&porta,2,0xcc); //  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,92 :: 		ow_write(&porta,2,0x44);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      68
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,93 :: 		delay_us(120);                                      // 
	MOVLW      81
	MOVWF      R13+0
L_temp28:
	DECFSZ     R13+0, 1
	GOTO       L_temp28
	NOP
	NOP
;Chtb.c,94 :: 		ow_reset(&porta,2);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chtb.c,95 :: 		ow_write(&porta,2,0xcc); //    
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,96 :: 		ow_write(&porta,2,0xbe);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      190
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,98 :: 		t=ow_read(&porta,2);     //  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _t+0
	CLRF       _t+1
;Chtb.c,99 :: 		t=(ow_read(&porta,2)*256)+t;  //  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      R1+1
	CLRF       R1+0
	MOVF       _t+0, 0
	ADDWF      R1+0, 0
	MOVWF      R3+0
	MOVF       R1+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _t+1, 0
	MOVWF      R3+1
	MOVF       R3+0, 0
	MOVWF      _t+0
	MOVF       R3+1, 0
	MOVWF      _t+1
;Chtb.c,100 :: 		td=t>>4; //   
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      _td+0
;Chtb.c,101 :: 		}
L_end_temp:
	RETURN
; end of _temp

_temp1:

;Chtb.c,104 :: 		void temp1()
;Chtb.c,106 :: 		ow_reset(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	CLRF       FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chtb.c,107 :: 		ow_write(&porta,0,0x33); // 
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      51
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,108 :: 		dtu=ow_read(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	CLRF       FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _dtu+0
;Chtb.c,110 :: 		ow_reset(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	CLRF       FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chtb.c,111 :: 		ow_write(&porta,0,0xcc); //  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,112 :: 		ow_write(&porta,0,0x44);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      68
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,113 :: 		delay_us(120);                            //  
	MOVLW      81
	MOVWF      R13+0
L_temp129:
	DECFSZ     R13+0, 1
	GOTO       L_temp129
	NOP
	NOP
;Chtb.c,114 :: 		ow_reset(&porta,0);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	CLRF       FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Chtb.c,115 :: 		ow_write(&porta,0,0xcc); //    
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,116 :: 		ow_write(&porta,0,0xbe);
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	CLRF       FARG_Ow_Write_pin+0
	MOVLW      190
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Chtb.c,118 :: 		t1=ow_read(&porta,0);     //  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	CLRF       FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _t1+0
	CLRF       _t1+1
;Chtb.c,119 :: 		t1=(ow_read(&porta,0)*256) + t1;  //  
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	CLRF       FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      R4+1
	CLRF       R4+0
	MOVF       _t1+0, 0
	ADDWF      R4+0, 0
	MOVWF      R2+0
	MOVF       R4+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _t1+1, 0
	MOVWF      R2+1
	MOVF       R2+0, 0
	MOVWF      _t1+0
	MOVF       R2+1, 0
	MOVWF      _t1+1
;Chtb.c,120 :: 		if (t1 & 0x8000)
	BTFSS      R2+1, 7
	GOTO       L_temp130
;Chtb.c,122 :: 		e7=1; t1=~t1+1; // 
	BSF        _e7+0, BitPos(_e7+0)
	COMF       _t1+0, 1
	COMF       _t1+1, 1
	INCF       _t1+0, 1
	BTFSC      STATUS+0, 2
	INCF       _t1+1, 1
;Chtb.c,123 :: 		}
	GOTO       L_temp131
L_temp130:
;Chtb.c,126 :: 		e7=0;t1=t1; // 
	BCF        _e7+0, BitPos(_e7+0)
;Chtb.c,127 :: 		}
L_temp131:
;Chtb.c,128 :: 		tu=t1>>4;
	MOVF       _t1+0, 0
	MOVWF      R0+0
	MOVF       _t1+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      _tu+0
;Chtb.c,129 :: 		}
L_end_temp1:
	RETURN
; end of _temp1

_but:

;Chtb.c,132 :: 		void but()
;Chtb.c,134 :: 		if (k==0)
	MOVF       _k+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_but32
;Chtb.c,136 :: 		if (rc3_bit==1) e=1;  //   
	BTFSS      RC3_bit+0, 3
	GOTO       L_but33
	BSF        _e+0, BitPos(_e+0)
L_but33:
;Chtb.c,137 :: 		if (e && rc3_bit==0)
	BTFSS      _e+0, BitPos(_e+0)
	GOTO       L_but36
	BTFSC      RC3_bit+0, 3
	GOTO       L_but36
L__but205:
;Chtb.c,139 :: 		if (mm1>0) {porta.b1=~porta.b1; tm=~tm;} e=0;
	MOVF       _mm1+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__but236
	MOVF       _mm1+0, 0
	SUBLW      0
L__but236:
	BTFSC      STATUS+0, 0
	GOTO       L_but37
	MOVLW      2
	XORWF      PORTA+0, 1
	MOVLW
	XORWF      _tm+0, 1
L_but37:
	BCF        _e+0, BitPos(_e+0)
;Chtb.c,140 :: 		if (tm==1) // 
	BTFSS      _tm+0, BitPos(_tm+0)
	GOTO       L_but38
;Chtb.c,142 :: 		hht=mm1/60; //     
	MOVLW      60
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm1+0, 0
	MOVWF      R0+0
	MOVF       _mm1+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      _hht+0
;Chtb.c,143 :: 		mmt=mm1-hht*60; //     
	MOVLW      60
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       R0+0, 0
	SUBWF      _mm1+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _mmt+0
;Chtb.c,144 :: 		mmt=mm+mmt; if (mmt>59) {mmt=mmt-59; hht++;} //  . 
	MOVF       R0+0, 0
	ADDWF      _mm+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _mmt+0
	MOVF       R1+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_but39
	MOVLW      59
	SUBWF      _mmt+0, 1
	INCF       _hht+0, 1
L_but39:
;Chtb.c,145 :: 		hht=hh+hht; if (hht>23) hht=hht-24; //  . 
	MOVF       _hht+0, 0
	ADDWF      _hh+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _hht+0
	MOVF       R1+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L_but40
	MOVLW      24
	SUBWF      _hht+0, 1
L_but40:
;Chtb.c,146 :: 		}
L_but38:
;Chtb.c,147 :: 		}
L_but36:
;Chtb.c,148 :: 		}
L_but32:
;Chtb.c,150 :: 		if (k<6)
	MOVLW      6
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_but41
;Chtb.c,151 :: 		{if (rc1_bit==1) e1=1;
	BTFSS      RC1_bit+0, 1
	GOTO       L_but42
	BSF        _e1+0, BitPos(_e1+0)
L_but42:
;Chtb.c,152 :: 		if (e1 && rc1_bit==0)  //   
	BTFSS      _e1+0, BitPos(_e1+0)
	GOTO       L_but45
	BTFSC      RC1_bit+0, 1
	GOTO       L_but45
L__but204:
;Chtb.c,153 :: 		{if (e4==0) {k=1; e1=0; e4=1;} else;{k++; if (k==5) {k=0;e4=0;} e1=0;}}}
	BTFSC      _e4+0, BitPos(_e4+0)
	GOTO       L_but46
	MOVLW      1
	MOVWF      _k+0
	BCF        _e1+0, BitPos(_e1+0)
	BSF        _e4+0, BitPos(_e4+0)
	GOTO       L_but47
L_but46:
L_but47:
	INCF       _k+0, 1
	MOVF       _k+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_but48
	CLRF       _k+0
	BCF        _e4+0, BitPos(_e4+0)
L_but48:
	BCF        _e1+0, BitPos(_e1+0)
L_but45:
L_but41:
;Chtb.c,155 :: 		if (k==0 || (k>5 && k<9))
	MOVF       _k+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__but202
	MOVF       _k+0, 0
	SUBLW      5
	BTFSC      STATUS+0, 0
	GOTO       L__but203
	MOVLW      9
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__but203
	GOTO       L__but202
L__but203:
	GOTO       L_but53
L__but202:
;Chtb.c,156 :: 		{if (rc0_bit==1) e2=1;
	BTFSS      RC0_bit+0, 0
	GOTO       L_but54
	BSF        _e2+0, BitPos(_e2+0)
L_but54:
;Chtb.c,157 :: 		if (e2 && rc0_bit==0)  //    
	BTFSS      _e2+0, BitPos(_e2+0)
	GOTO       L_but57
	BTFSC      RC0_bit+0, 0
	GOTO       L_but57
L__but201:
;Chtb.c,158 :: 		{if (e5==0) {k=6; e2=0; e5=1;} else; {k++; if (k==8) {k=0;e5=0;} e2=0;}}}
	BTFSC      _e5+0, BitPos(_e5+0)
	GOTO       L_but58
	MOVLW      6
	MOVWF      _k+0
	BCF        _e2+0, BitPos(_e2+0)
	BSF        _e5+0, BitPos(_e5+0)
	GOTO       L_but59
L_but58:
L_but59:
	INCF       _k+0, 1
	MOVF       _k+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L_but60
	CLRF       _k+0
	BCF        _e5+0, BitPos(_e5+0)
L_but60:
	BCF        _e2+0, BitPos(_e2+0)
L_but57:
L_but53:
;Chtb.c,160 :: 		if (k==0 || (k>8 && k<13))
	MOVF       _k+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__but199
	MOVF       _k+0, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L__but200
	MOVLW      13
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__but200
	GOTO       L__but199
L__but200:
	GOTO       L_but65
L__but199:
;Chtb.c,161 :: 		{if (rc7_bit==1) e3=1;
	BTFSS      RC7_bit+0, 7
	GOTO       L_but66
	BSF        _e3+0, BitPos(_e3+0)
L_but66:
;Chtb.c,162 :: 		if (e3 && rc7_bit==0)  //     
	BTFSS      _e3+0, BitPos(_e3+0)
	GOTO       L_but69
	BTFSC      RC7_bit+0, 7
	GOTO       L_but69
L__but198:
;Chtb.c,163 :: 		{if (e6==0) {k=9; e3=0; e6=1;} else; {k++; if (k==12) {k=0;e6=0;bd1=bd2=0;} e3=0;}}}
	BTFSC      _e6+0, BitPos(_e6+0)
	GOTO       L_but70
	MOVLW      9
	MOVWF      _k+0
	BCF        _e3+0, BitPos(_e3+0)
	BSF        _e6+0, BitPos(_e6+0)
	GOTO       L_but71
L_but70:
L_but71:
	INCF       _k+0, 1
	MOVF       _k+0, 0
	XORLW      12
	BTFSS      STATUS+0, 2
	GOTO       L_but72
	CLRF       _k+0
	BCF        _e6+0, BitPos(_e6+0)
	BCF        _bd2+0, BitPos(_bd2+0)
	BTFSC      _bd2+0, BitPos(_bd2+0)
	GOTO       L__but237
	BCF        _bd1+0, BitPos(_bd1+0)
	GOTO       L__but238
L__but237:
	BSF        _bd1+0, BitPos(_bd1+0)
L__but238:
L_but72:
	BCF        _e3+0, BitPos(_e3+0)
L_but69:
L_but65:
;Chtb.c,164 :: 		}
L_end_but:
	RETURN
; end of _but

_ust:

;Chtb.c,167 :: 		void ust()
;Chtb.c,169 :: 		if (k==2) // 
	MOVF       _k+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_ust73
;Chtb.c,171 :: 		if (rc3_bit==0)
	BTFSC      RC3_bit+0, 3
	GOTO       L_ust74
;Chtb.c,173 :: 		hh++; if (hh>23) hh=0; hh=Dec2Bcd(hh);
	INCF       _hh+0, 1
	MOVF       _hh+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L_ust75
	CLRF       _hh+0
L_ust75:
	MOVF       _hh+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _hh+0
;Chtb.c,174 :: 		soft_i2c_start();     //    DS1307
	CALL       _Soft_I2C_Start+0
;Chtb.c,175 :: 		soft_i2c_write(0xd0); //   
	MOVLW      208
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,176 :: 		soft_i2c_write(2);    //  
	MOVLW      2
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,177 :: 		soft_i2c_write(hh);   // 
	MOVF       _hh+0, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,178 :: 		soft_i2c_stop();      // 
	CALL       _Soft_I2C_Stop+0
;Chtb.c,179 :: 		hh=Bcd2Dec(hh);
	MOVF       _hh+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      _hh+0
;Chtb.c,180 :: 		}
L_ust74:
;Chtb.c,181 :: 		if (hh>9) {j=(hh/10);d1=cif(j);} else d1=0xff;
	MOVF       _hh+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_ust76
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d1+0
	GOTO       L_ust77
L_ust76:
	MOVLW      255
	MOVWF      _d1+0
L_ust77:
;Chtb.c,182 :: 		j=hh%10;d2=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
;Chtb.c,183 :: 		d3=d4=d5=0xff;
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
	MOVLW      255
	MOVWF      _d3+0
;Chtb.c,184 :: 		}
L_ust73:
;Chtb.c,186 :: 		if (k==3) // 
	MOVF       _k+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_ust78
;Chtb.c,188 :: 		if (rc3_bit==0)
	BTFSC      RC3_bit+0, 3
	GOTO       L_ust79
;Chtb.c,190 :: 		mm++; if (mm>59) mm=0; mm=Dec2Bcd(mm);
	INCF       _mm+0, 1
	MOVF       _mm+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_ust80
	CLRF       _mm+0
L_ust80:
	MOVF       _mm+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _mm+0
;Chtb.c,191 :: 		soft_i2c_start();     //    DS1307
	CALL       _Soft_I2C_Start+0
;Chtb.c,192 :: 		soft_i2c_write(0xd0); //   
	MOVLW      208
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,193 :: 		soft_i2c_write(1);    //  
	MOVLW      1
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,194 :: 		soft_i2c_write(mm);   // 
	MOVF       _mm+0, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,195 :: 		soft_i2c_stop();      // 
	CALL       _Soft_I2C_Stop+0
;Chtb.c,196 :: 		mm=Bcd2Dec(mm);
	MOVF       _mm+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      _mm+0
;Chtb.c,197 :: 		}
L_ust79:
;Chtb.c,198 :: 		d1=d2=d3=0xff;
	MOVLW      255
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
;Chtb.c,199 :: 		j=(mm/10)%10;d4=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
;Chtb.c,200 :: 		j=mm%10;d5=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
;Chtb.c,201 :: 		}
L_ust78:
;Chtb.c,203 :: 		if (k==4) // 
	MOVF       _k+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_ust81
;Chtb.c,205 :: 		if (rc3_bit==0)
	BTFSC      RC3_bit+0, 3
	GOTO       L_ust82
;Chtb.c,207 :: 		soft_i2c_start();     //    DS1307
	CALL       _Soft_I2C_Start+0
;Chtb.c,208 :: 		soft_i2c_write(0xd0); //   
	MOVLW      208
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,209 :: 		soft_i2c_write(0);    //  
	CLRF       FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,210 :: 		soft_i2c_write(0);    // 
	CLRF       FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,211 :: 		soft_i2c_stop();      // 
	CALL       _Soft_I2C_Stop+0
;Chtb.c,212 :: 		}
L_ust82:
;Chtb.c,213 :: 		j=(ss/10)%10;d1=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _ss+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d1+0
;Chtb.c,214 :: 		j=ss%10;d2=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _ss+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
;Chtb.c,215 :: 		d3=d4=d5=0xff;
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
	MOVLW      255
	MOVWF      _d3+0
;Chtb.c,216 :: 		}
L_ust81:
;Chtb.c,217 :: 		}
L_end_ust:
	RETURN
; end of _ust

_pod:

;Chtb.c,219 :: 		void pod()
;Chtb.c,221 :: 		if (rc7_bit==0) {pg++; bt1=1;}
	BTFSC      RC7_bit+0, 7
	GOTO       L_pod83
	INCF       _pg+0, 1
	BSF        _bt1+0, BitPos(_bt1+0)
L_pod83:
;Chtb.c,222 :: 		if (rc1_bit==0) {pg--; bt1=1;}
	BTFSC      RC1_bit+0, 1
	GOTO       L_pod84
	DECF       _pg+0, 1
	BSF        _bt1+0, BitPos(_bt1+0)
L_pod84:
;Chtb.c,223 :: 		if (pg>30) pg=0;
	MOVF       _pg+0, 0
	SUBLW      30
	BTFSC      STATUS+0, 0
	GOTO       L_pod85
	CLRF       _pg+0
L_pod85:
;Chtb.c,224 :: 		d1=0x48; //.
	MOVLW      72
	MOVWF      _d1+0
;Chtb.c,225 :: 		d2=0xbf; //-
	MOVLW      191
	MOVWF      _d2+0
;Chtb.c,226 :: 		if (pg<10) {j=pg%10;d3=cif(j);d4=0xff;}
	MOVLW      10
	SUBWF      _pg+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_pod86
	MOVLW      10
	MOVWF      R4+0
	MOVF       _pg+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d4+0
L_pod86:
;Chtb.c,227 :: 		if (pg>9 && pg<100) {j=pg%10;d4=cif(j);j=(pg/10)%10;d3=cif(j);}
	MOVF       _pg+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_pod89
	MOVLW      100
	SUBWF      _pg+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_pod89
L__pod206:
	MOVLW      10
	MOVWF      R4+0
	MOVF       _pg+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _pg+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
L_pod89:
;Chtb.c,228 :: 		d5=0xff;
	MOVLW      255
	MOVWF      _d5+0
;Chtb.c,229 :: 		if (bt1==1) {eeprom_write(0,pg); bt1=0;} //       
	BTFSS      _bt1+0, BitPos(_bt1+0)
	GOTO       L_pod90
	CLRF       FARG_EEPROM_Write_Address+0
	MOVF       _pg+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
	BCF        _bt1+0, BitPos(_bt1+0)
L_pod90:
;Chtb.c,230 :: 		}
L_end_pod:
	RETURN
; end of _pod

_tim:

;Chtb.c,232 :: 		void tim()
;Chtb.c,234 :: 		if (rc1_bit==0) {mm1=mm1+100; bt1=1;}
	BTFSC      RC1_bit+0, 1
	GOTO       L_tim91
	MOVLW      100
	ADDWF      _mm1+0, 1
	BTFSC      STATUS+0, 0
	INCF       _mm1+1, 1
	BSF        _bt1+0, BitPos(_bt1+0)
L_tim91:
;Chtb.c,235 :: 		if (rc0_bit==0) {mm1=mm1+10;  bt1=1;}
	BTFSC      RC0_bit+0, 0
	GOTO       L_tim92
	MOVLW      10
	ADDWF      _mm1+0, 1
	BTFSC      STATUS+0, 0
	INCF       _mm1+1, 1
	BSF        _bt1+0, BitPos(_bt1+0)
L_tim92:
;Chtb.c,236 :: 		if (rc3_bit==0) {mm1=mm1+1;   bt1=1;}
	BTFSC      RC3_bit+0, 3
	GOTO       L_tim93
	INCF       _mm1+0, 1
	BTFSC      STATUS+0, 2
	INCF       _mm1+1, 1
	BSF        _bt1+0, BitPos(_bt1+0)
L_tim93:
;Chtb.c,237 :: 		if (mm1>900) mm1=0;
	MOVF       _mm1+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__tim242
	MOVF       _mm1+0, 0
	SUBLW      132
L__tim242:
	BTFSC      STATUS+0, 0
	GOTO       L_tim94
	CLRF       _mm1+0
	CLRF       _mm1+1
L_tim94:
;Chtb.c,238 :: 		d1=0x09;//H.
	MOVLW      9
	MOVWF      _d1+0
;Chtb.c,239 :: 		d2=0xbf;//-
	MOVLW      191
	MOVWF      _d2+0
;Chtb.c,240 :: 		if (mm1<10) {j=mm1%10;d3=cif(j); d4=d5=0xff;}
	MOVLW      0
	SUBWF      _mm1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__tim243
	MOVLW      10
	SUBWF      _mm1+0, 0
L__tim243:
	BTFSC      STATUS+0, 0
	GOTO       L_tim95
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm1+0, 0
	MOVWF      R0+0
	MOVF       _mm1+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
L_tim95:
;Chtb.c,241 :: 		if (mm1>9 && mm1<100) {j=mm1%10;d4=cif(j);j=(mm1/10)%10;d3=cif(j);d5=0xff;}
	MOVF       _mm1+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__tim244
	MOVF       _mm1+0, 0
	SUBLW      9
L__tim244:
	BTFSC      STATUS+0, 0
	GOTO       L_tim98
	MOVLW      0
	SUBWF      _mm1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__tim245
	MOVLW      100
	SUBWF      _mm1+0, 0
L__tim245:
	BTFSC      STATUS+0, 0
	GOTO       L_tim98
L__tim207:
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm1+0, 0
	MOVWF      R0+0
	MOVF       _mm1+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm1+0, 0
	MOVWF      R0+0
	MOVF       _mm1+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d5+0
L_tim98:
;Chtb.c,242 :: 		if (mm1>99) {j=mm1%10;d5=cif(j);j=(mm1/10)%10;d4=cif(j);j=(mm1/100)%10;d3=cif(j);}
	MOVF       _mm1+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__tim246
	MOVF       _mm1+0, 0
	SUBLW      99
L__tim246:
	BTFSC      STATUS+0, 0
	GOTO       L_tim99
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm1+0, 0
	MOVWF      R0+0
	MOVF       _mm1+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm1+0, 0
	MOVWF      R0+0
	MOVF       _mm1+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _mm1+0, 0
	MOVWF      R0+0
	MOVF       _mm1+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
L_tim99:
;Chtb.c,243 :: 		mm11=mm1>>8; //.  mm11=mm2/256;
	MOVF       _mm1+1, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       R0+0, 0
	MOVWF      _mm11+0
;Chtb.c,244 :: 		mm12=mm1<<0; // mm12=mm2-256*mm11;
	MOVF       _mm1+0, 0
	MOVWF      _mm12+0
;Chtb.c,245 :: 		if (bt1==1) {eeprom_write(1,mm11); eeprom_write(2,mm12); bt1=0;} //       
	BTFSS      _bt1+0, BitPos(_bt1+0)
	GOTO       L_tim100
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _mm11+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _mm12+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
	BCF        _bt1+0, BitPos(_bt1+0)
L_tim100:
;Chtb.c,246 :: 		}
L_end_tim:
	RETURN
; end of _tim

_bud:

;Chtb.c,248 :: 		void bud() //   
;Chtb.c,250 :: 		if (bd1==0 && bd2==0) {if (rc3_bit==0) {bd=~bd; eeprom_write(5,bd);}} //bd=1 -  ., bd=0 -  .
	BTFSC      _bd1+0, BitPos(_bd1+0)
	GOTO       L_bud103
	BTFSC      _bd2+0, BitPos(_bd2+0)
	GOTO       L_bud103
L__bud211:
	BTFSC      RC3_bit+0, 3
	GOTO       L_bud104
	MOVLW
	XORWF      _bd+0, 1
	MOVLW      5
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVLW      0
	BTFSC      _bd+0, BitPos(_bd+0)
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L_bud104:
L_bud103:
;Chtb.c,252 :: 		if (bd==1) // 
	BTFSS      _bd+0, BitPos(_bd+0)
	GOTO       L_bud105
;Chtb.c,254 :: 		if (bd1==0 && bd2==0) //   
	BTFSC      _bd1+0, BitPos(_bd1+0)
	GOTO       L_bud108
	BTFSC      _bd2+0, BitPos(_bd2+0)
	GOTO       L_bud108
L__bud210:
;Chtb.c,256 :: 		if (rc1_bit==0) {hhb++; if (hhb>23) hhb=0; eeprom_write(3,hhb);}
	BTFSC      RC1_bit+0, 1
	GOTO       L_bud109
	INCF       _hhb+0, 1
	MOVF       _hhb+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L_bud110
	CLRF       _hhb+0
L_bud110:
	MOVLW      3
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _hhb+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L_bud109:
;Chtb.c,257 :: 		if (rc0_bit==0) {mmb++; if (mmb>59) mmb=0; eeprom_write(4,mmb);}
	BTFSC      RC0_bit+0, 0
	GOTO       L_bud111
	INCF       _mmb+0, 1
	MOVF       _mmb+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L_bud112
	CLRF       _mmb+0
L_bud112:
	MOVLW      4
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _mmb+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L_bud111:
;Chtb.c,258 :: 		}
L_bud108:
;Chtb.c,260 :: 		if (hhb>9) {j=(hhb/10);d1=cif(j+10);} else d1=0xff; //(j+10)   ,  j=15 - 5.
	MOVF       _hhb+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_bud113
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hhb+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVLW      10
	ADDWF      R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d1+0
	GOTO       L_bud114
L_bud113:
	MOVLW      255
	MOVWF      _d1+0
L_bud114:
;Chtb.c,261 :: 		j=hhb%10;d2=cif(j+10);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hhb+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVLW      10
	ADDWF      R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
;Chtb.c,262 :: 		d3=0x3f; //-.
	MOVLW      63
	MOVWF      _d3+0
;Chtb.c,263 :: 		j=(mmb/10)%10;d4=cif(j+10);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mmb+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVLW      10
	ADDWF      R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
;Chtb.c,264 :: 		j=mmb%10;d5=cif(j+10);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mmb+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVLW      10
	ADDWF      R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
;Chtb.c,265 :: 		if (bd1==1) // 
	BTFSS      _bd1+0, BitPos(_bd1+0)
	GOTO       L_bud115
;Chtb.c,267 :: 		if (mmb!=59 && mmb<mm) {bd1=0; bd2=0; k=0; e6=0;}  //        
	MOVF       _mmb+0, 0
	XORLW      59
	BTFSC      STATUS+0, 2
	GOTO       L_bud118
	MOVF       _mm+0, 0
	SUBWF      _mmb+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_bud118
L__bud209:
	BCF        _bd1+0, BitPos(_bd1+0)
	BCF        _bd2+0, BitPos(_bd2+0)
	CLRF       _k+0
	BCF        _e6+0, BitPos(_e6+0)
L_bud118:
;Chtb.c,268 :: 		if (mmb==59 && mm==0) {bd1=0; bd2=0; k=0; e6=0;}  //     () =59;
	MOVF       _mmb+0, 0
	XORLW      59
	BTFSS      STATUS+0, 2
	GOTO       L_bud121
	MOVF       _mm+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_bud121
L__bud208:
	BCF        _bd1+0, BitPos(_bd1+0)
	BCF        _bd2+0, BitPos(_bd2+0)
	CLRF       _k+0
	BCF        _e6+0, BitPos(_e6+0)
L_bud121:
;Chtb.c,269 :: 		bd2=~bd2; //bd=1>>>bd1=1>>>bd2=1>>>.   
	MOVLW
	XORWF      _bd2+0, 1
;Chtb.c,270 :: 		}
L_bud115:
;Chtb.c,271 :: 		}
	GOTO       L_bud122
L_bud105:
;Chtb.c,274 :: 		d1=d2=d3=d4=d5=0x3f; // 
	MOVLW      63
	MOVWF      _d5+0
	MOVLW      63
	MOVWF      _d4+0
	MOVLW      63
	MOVWF      _d3+0
	MOVLW      63
	MOVWF      _d2+0
	MOVLW      63
	MOVWF      _d1+0
;Chtb.c,275 :: 		}
L_bud122:
;Chtb.c,276 :: 		}
L_end_bud:
	RETURN
; end of _bud

_main:

;Chtb.c,279 :: 		void main()
;Chtb.c,281 :: 		adcon1=6; //  
	MOVLW      6
	MOVWF      ADCON1+0
;Chtb.c,282 :: 		porta=0x02; trisa=0xfd;
	MOVLW      2
	MOVWF      PORTA+0
	MOVLW      253
	MOVWF      TRISA+0
;Chtb.c,283 :: 		portb=0xff; trisb=0x00;
	MOVLW      255
	MOVWF      PORTB+0
	CLRF       TRISB+0
;Chtb.c,284 :: 		portc=0xdf; trisc=0x8b;
	MOVLW      223
	MOVWF      PORTC+0
	MOVLW      139
	MOVWF      TRISC+0
;Chtb.c,285 :: 		option_reg=0x84; // 1/32
	MOVLW      132
	MOVWF      OPTION_REG+0
;Chtb.c,286 :: 		tmr0=96; //  160
	MOVLW      96
	MOVWF      TMR0+0
;Chtb.c,287 :: 		intcon=0xa0; ml=0;
	MOVLW      160
	MOVWF      INTCON+0
	CLRF       _ml+0
;Chtb.c,288 :: 		soft_i2c_init(); // i2c (DS1307)
	CALL       _Soft_I2C_Init+0
;Chtb.c,289 :: 		sound_init(&portc,2); //   RC2
	MOVLW      PORTC+0
	MOVWF      FARG_Sound_Init_snd_port+0
	MOVLW      2
	MOVWF      FARG_Sound_Init_snd_pin+0
	CALL       _Sound_Init+0
;Chtb.c,291 :: 		k=e4=e5=e6=mm=ss=hh=a=j=bd1=bd2=tm=sb=bt1=0; d1=d2=d3=d4=d5=0xff; dtd=dtu=0;
	BCF        _bt1+0, BitPos(_bt1+0)
	BTFSC      _bt1+0, BitPos(_bt1+0)
	GOTO       L__main249
	BCF        _sb+0, BitPos(_sb+0)
	GOTO       L__main250
L__main249:
	BSF        _sb+0, BitPos(_sb+0)
L__main250:
	BTFSC      _sb+0, BitPos(_sb+0)
	GOTO       L__main251
	BCF        _tm+0, BitPos(_tm+0)
	GOTO       L__main252
L__main251:
	BSF        _tm+0, BitPos(_tm+0)
L__main252:
	BTFSC      _tm+0, BitPos(_tm+0)
	GOTO       L__main253
	BCF        _bd2+0, BitPos(_bd2+0)
	GOTO       L__main254
L__main253:
	BSF        _bd2+0, BitPos(_bd2+0)
L__main254:
	BTFSC      _bd2+0, BitPos(_bd2+0)
	GOTO       L__main255
	BCF        _bd1+0, BitPos(_bd1+0)
	GOTO       L__main256
L__main255:
	BSF        _bd1+0, BitPos(_bd1+0)
L__main256:
	MOVLW      0
	BTFSC      _bd1+0, BitPos(_bd1+0)
	MOVLW      1
	MOVWF      _j+0
	MOVF       _j+0, 0
	MOVWF      _a+0
	MOVF       _j+0, 0
	MOVWF      _hh+0
	MOVF       _j+0, 0
	MOVWF      _ss+0
	MOVF       _j+0, 0
	MOVWF      _mm+0
	BTFSC      _j+0, 0
	GOTO       L__main257
	BCF        _e6+0, BitPos(_e6+0)
	GOTO       L__main258
L__main257:
	BSF        _e6+0, BitPos(_e6+0)
L__main258:
	BTFSC      _e6+0, BitPos(_e6+0)
	GOTO       L__main259
	BCF        _e5+0, BitPos(_e5+0)
	GOTO       L__main260
L__main259:
	BSF        _e5+0, BitPos(_e5+0)
L__main260:
	BTFSC      _e5+0, BitPos(_e5+0)
	GOTO       L__main261
	BCF        _e4+0, BitPos(_e4+0)
	GOTO       L__main262
L__main261:
	BSF        _e4+0, BitPos(_e4+0)
L__main262:
	MOVLW      0
	BTFSC      _e4+0, BitPos(_e4+0)
	MOVLW      1
	MOVWF      _k+0
	MOVLW      255
	MOVWF      _d5+0
	MOVLW      255
	MOVWF      _d4+0
	MOVLW      255
	MOVWF      _d3+0
	MOVLW      255
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
	CLRF       _dtu+0
	CLRF       _dtd+0
;Chtb.c,292 :: 		pg=eeprom_read(0);  //      (  15)
	CLRF       FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _pg+0
;Chtb.c,293 :: 		mm11=eeprom_read(1); //mm11, m12 - 8     16    EEPROM   8  
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _mm11+0
;Chtb.c,294 :: 		mm12=eeprom_read(2);
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _mm12+0
;Chtb.c,295 :: 		mm1=mm11*256+mm12;   //mm1=(mm11<<8)+mm12;    
	MOVF       _mm11+0, 0
	MOVWF      _mm1+1
	CLRF       _mm1+0
	MOVF       R0+0, 0
	ADDWF      _mm1+0, 1
	BTFSC      STATUS+0, 0
	INCF       _mm1+1, 1
;Chtb.c,296 :: 		hhb=eeprom_read(3);  //      ()
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _hhb+0
;Chtb.c,297 :: 		mmb=eeprom_read(4);  //      ()
	MOVLW      4
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _mmb+0
;Chtb.c,298 :: 		bd=eeprom_read(5);  //   / 
	MOVLW      5
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	BTFSC      R0+0, 0
	GOTO       L__main263
	BCF        _bd+0, BitPos(_bd+0)
	GOTO       L__main264
L__main263:
	BSF        _bd+0, BitPos(_bd+0)
L__main264:
;Chtb.c,299 :: 		do
L_main123:
;Chtb.c,301 :: 		if (ml==200) //    0,5 
	MOVF       _ml+0, 0
	XORLW      200
	BTFSS      STATUS+0, 2
	GOTO       L_main126
;Chtb.c,303 :: 		ml=0;
	CLRF       _ml+0
;Chtb.c,304 :: 		soft_i2c_start();     //    DS1307
	CALL       _Soft_I2C_Start+0
;Chtb.c,305 :: 		soft_i2c_write(0xd0); //   
	MOVLW      208
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,306 :: 		soft_i2c_write(0);    //    
	CLRF       FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,307 :: 		soft_i2c_start();     //  
	CALL       _Soft_I2C_Start+0
;Chtb.c,308 :: 		soft_i2c_write(0xd1); //   
	MOVLW      209
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,309 :: 		ss=soft_i2c_read(1);  //  (  - )
	MOVLW      1
	MOVWF      FARG_Soft_I2C_Read_ack+0
	MOVLW      0
	MOVWF      FARG_Soft_I2C_Read_ack+1
	CALL       _Soft_I2C_Read+0
	MOVF       R0+0, 0
	MOVWF      _ss+0
;Chtb.c,310 :: 		mm=soft_i2c_read(1);  //  - 
	MOVLW      1
	MOVWF      FARG_Soft_I2C_Read_ack+0
	MOVLW      0
	MOVWF      FARG_Soft_I2C_Read_ack+1
	CALL       _Soft_I2C_Read+0
	MOVF       R0+0, 0
	MOVWF      _mm+0
;Chtb.c,311 :: 		hh=soft_i2c_read(0);  //  ( (   )  - )
	CLRF       FARG_Soft_I2C_Read_ack+0
	CLRF       FARG_Soft_I2C_Read_ack+1
	CALL       _Soft_I2C_Read+0
	MOVF       R0+0, 0
	MOVWF      _hh+0
;Chtb.c,312 :: 		soft_i2c_stop();      //    DS1307
	CALL       _Soft_I2C_Stop+0
;Chtb.c,313 :: 		ss=Bcd2Dec(ss);  //Bcd2Dec -     
	MOVF       _ss+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      _ss+0
;Chtb.c,314 :: 		mm=Bcd2Dec(mm);
	MOVF       _mm+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      _mm+0
;Chtb.c,315 :: 		hh=Bcd2Dec(hh);
	MOVF       _hh+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      _hh+0
;Chtb.c,317 :: 		if (hh!=0) sb=0; //sb-  .  
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main127
	BCF        _sb+0, BitPos(_sb+0)
L_main127:
;Chtb.c,319 :: 		if (sb==0 && hh==0 && mm==0 && ss==15 && pg!=15) //  ()    (0:00:15)
	BTFSC      _sb+0, BitPos(_sb+0)
	GOTO       L_main130
	MOVF       _hh+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main130
	MOVF       _mm+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main130
	MOVF       _ss+0, 0
	XORLW      15
	BTFSS      STATUS+0, 2
	GOTO       L_main130
	MOVF       _pg+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L_main130
L__main229:
;Chtb.c,321 :: 		ss=ss+pg-15; //  / 
	MOVF       _pg+0, 0
	ADDWF      _ss+0, 0
	MOVWF      R0+0
	MOVLW      15
	SUBWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _ss+0
;Chtb.c,322 :: 		ss=Dec2Bcd(ss);
	MOVF       R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      _ss+0
;Chtb.c,323 :: 		soft_i2c_start();     //    DS1307
	CALL       _Soft_I2C_Start+0
;Chtb.c,324 :: 		soft_i2c_write(0xd0); //   
	MOVLW      208
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,325 :: 		soft_i2c_write(0);   //  
	CLRF       FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,326 :: 		soft_i2c_write(ss);   // 
	MOVF       _ss+0, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;Chtb.c,327 :: 		soft_i2c_stop();      // 
	CALL       _Soft_I2C_Stop+0
;Chtb.c,328 :: 		ss=Bcd2Dec(ss);
	MOVF       _ss+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       R0+0, 0
	MOVWF      _ss+0
;Chtb.c,329 :: 		sb=1;
	BSF        _sb+0, BitPos(_sb+0)
;Chtb.c,330 :: 		}
L_main130:
;Chtb.c,332 :: 		but(); //   
	CALL       _but+0
;Chtb.c,334 :: 		if (k==0) //  
	MOVF       _k+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main131
;Chtb.c,336 :: 		if ((ss<10) || (ss>19 && ss<30) || (ss>39 && ss<50)) // 
	MOVLW      10
	SUBWF      _ss+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L__main226
	MOVF       _ss+0, 0
	SUBLW      19
	BTFSC      STATUS+0, 0
	GOTO       L__main228
	MOVLW      30
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main228
	GOTO       L__main226
L__main228:
	MOVF       _ss+0, 0
	SUBLW      39
	BTFSC      STATUS+0, 0
	GOTO       L__main227
	MOVLW      50
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main227
	GOTO       L__main226
L__main227:
	GOTO       L_main138
L__main226:
;Chtb.c,338 :: 		if (hh>9) {j=(hh/10);d1=cif(j);} else d1=0xff;
	MOVF       _hh+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_main139
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d1+0
	GOTO       L_main140
L_main139:
	MOVLW      255
	MOVWF      _d1+0
L_main140:
;Chtb.c,339 :: 		j=hh%10;d2=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _hh+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
;Chtb.c,340 :: 		d3=0xbf;
	MOVLW      191
	MOVWF      _d3+0
;Chtb.c,341 :: 		j=(mm/10)%10;d4=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d4+0
;Chtb.c,342 :: 		if (bd==0) {j=mm%10;d5=cif(j);} else {j=mm%10;d5=cif(j+10);} // . .,      
	BTFSC      _bd+0, BitPos(_bd+0)
	GOTO       L_main141
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
	GOTO       L_main142
L_main141:
	MOVLW      10
	MOVWF      R4+0
	MOVF       _mm+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVLW      10
	ADDWF      R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d5+0
L_main142:
;Chtb.c,343 :: 		}
L_main138:
;Chtb.c,345 :: 		if ((ss>9 && ss<15) ||  (ss>29 && ss<35) || (ss>49 && ss<55)) //  
	MOVF       _ss+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__main225
	MOVLW      15
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main225
	GOTO       L__main222
L__main225:
	MOVF       _ss+0, 0
	SUBLW      29
	BTFSC      STATUS+0, 0
	GOTO       L__main224
	MOVLW      35
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main224
	GOTO       L__main222
L__main224:
	MOVF       _ss+0, 0
	SUBLW      49
	BTFSC      STATUS+0, 0
	GOTO       L__main223
	MOVLW      55
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main223
	GOTO       L__main222
L__main223:
	GOTO       L_main151
L__main222:
;Chtb.c,347 :: 		temp();
	CALL       _temp+0
;Chtb.c,348 :: 		if (dtd==0x28) //   
	MOVF       _dtd+0, 0
	XORLW      40
	BTFSS      STATUS+0, 2
	GOTO       L_main152
;Chtb.c,350 :: 		if (td>9 && td<41) e8=0; else e8=1; //  ( 10  40 )
	MOVF       _td+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_main155
	MOVLW      41
	SUBWF      _td+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main155
L__main221:
	BCF        _e8+0, BitPos(_e8+0)
	GOTO       L_main156
L_main155:
	BSF        _e8+0, BitPos(_e8+0)
L_main156:
;Chtb.c,351 :: 		d5=0xc6; //C
	MOVLW      198
	MOVWF      _d5+0
;Chtb.c,352 :: 		d4=0x9c; // 
	MOVLW      156
	MOVWF      _d4+0
;Chtb.c,353 :: 		if (e8==0)
	BTFSC      _e8+0, BitPos(_e8+0)
	GOTO       L_main157
;Chtb.c,354 :: 		{j=td%10;d3=cif(j); j=(td/10)%10;d2=cif(j);}
	MOVLW      10
	MOVWF      R4+0
	MOVF       _td+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _td+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
	GOTO       L_main158
L_main157:
;Chtb.c,356 :: 		{d3=0xbf;d2=0xbf;} d1=0xff;}
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
L_main158:
	MOVLW      255
	MOVWF      _d1+0
	GOTO       L_main159
L_main152:
;Chtb.c,358 :: 		{d5=0xc6;d4=0x9c;d3=0xbf;d2=0xbf;d1=0xff;}
	MOVLW      198
	MOVWF      _d5+0
	MOVLW      156
	MOVWF      _d4+0
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
L_main159:
;Chtb.c,359 :: 		}
L_main151:
;Chtb.c,361 :: 		if ((ss>14 && ss<20) || (ss>34 && ss<40) || (ss>54 && ss<60)) //   
	MOVF       _ss+0, 0
	SUBLW      14
	BTFSC      STATUS+0, 0
	GOTO       L__main220
	MOVLW      20
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main220
	GOTO       L__main217
L__main220:
	MOVF       _ss+0, 0
	SUBLW      34
	BTFSC      STATUS+0, 0
	GOTO       L__main219
	MOVLW      40
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main219
	GOTO       L__main217
L__main219:
	MOVF       _ss+0, 0
	SUBLW      54
	BTFSC      STATUS+0, 0
	GOTO       L__main218
	MOVLW      60
	SUBWF      _ss+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main218
	GOTO       L__main217
L__main218:
	GOTO       L_main168
L__main217:
;Chtb.c,363 :: 		temp1();
	CALL       _temp1+0
;Chtb.c,364 :: 		if (dtu==0x28)
	MOVF       _dtu+0, 0
	XORLW      40
	BTFSS      STATUS+0, 2
	GOTO       L_main169
;Chtb.c,366 :: 		if (tu>40) e9=1; else e9=0; //  ( -40  40 )
	MOVF       _tu+0, 0
	SUBLW      40
	BTFSC      STATUS+0, 0
	GOTO       L_main170
	BSF        _e9+0, BitPos(_e9+0)
	GOTO       L_main171
L_main170:
	BCF        _e9+0, BitPos(_e9+0)
L_main171:
;Chtb.c,367 :: 		d5=0x46; //C.
	MOVLW      70
	MOVWF      _d5+0
;Chtb.c,368 :: 		d4=0x9c;
	MOVLW      156
	MOVWF      _d4+0
;Chtb.c,369 :: 		if (e9==0)
	BTFSC      _e9+0, BitPos(_e9+0)
	GOTO       L_main172
;Chtb.c,371 :: 		j=tu%10;d3=cif(j);
	MOVLW      10
	MOVWF      R4+0
	MOVF       _tu+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d3+0
;Chtb.c,372 :: 		if (tu>9) {j=(tu/10)%10;d2=cif(j);
	MOVF       _tu+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L_main173
	MOVLW      10
	MOVWF      R4+0
	MOVF       _tu+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _j+0
	MOVF       R0+0, 0
	MOVWF      FARG_cif_n+0
	CALL       _cif+0
	MOVF       R0+0, 0
	MOVWF      _d2+0
;Chtb.c,373 :: 		if (e7==0) d1=0xff; else d1=0xbf;} //   (e7)
	BTFSC      _e7+0, BitPos(_e7+0)
	GOTO       L_main174
	MOVLW      255
	MOVWF      _d1+0
	GOTO       L_main175
L_main174:
	MOVLW      191
	MOVWF      _d1+0
L_main175:
L_main173:
;Chtb.c,375 :: 		if (tu>0 && tu<10) {d1=0xff;
	MOVF       _tu+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main178
	MOVLW      10
	SUBWF      _tu+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main178
L__main216:
	MOVLW      255
	MOVWF      _d1+0
;Chtb.c,376 :: 		if (e7==0) d2=0xff; else d2=0xbf;} //   (e7)
	BTFSC      _e7+0, BitPos(_e7+0)
	GOTO       L_main179
	MOVLW      255
	MOVWF      _d2+0
	GOTO       L_main180
L_main179:
	MOVLW      191
	MOVWF      _d2+0
L_main180:
L_main178:
;Chtb.c,378 :: 		if (tu==0) d1=d2=0xff;
	MOVF       _tu+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main181
	MOVLW      255
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
L_main181:
;Chtb.c,379 :: 		}
	GOTO       L_main182
L_main172:
;Chtb.c,382 :: 		d3=0xbf;d2=0xbf;d1=0xff;
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
;Chtb.c,383 :: 		}
L_main182:
;Chtb.c,384 :: 		}
	GOTO       L_main183
L_main169:
;Chtb.c,387 :: 		d5=0x46;d4=0x9c;d3=0xbf;d2=0xbf;d1=0xff;
	MOVLW      70
	MOVWF      _d5+0
	MOVLW      156
	MOVWF      _d4+0
	MOVLW      191
	MOVWF      _d3+0
	MOVLW      191
	MOVWF      _d2+0
	MOVLW      255
	MOVWF      _d1+0
;Chtb.c,388 :: 		}
L_main183:
;Chtb.c,389 :: 		}
L_main168:
;Chtb.c,390 :: 		}
L_main131:
;Chtb.c,392 :: 		if (k>1 && k<5) ust(); // 
	MOVF       _k+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L_main186
	MOVLW      5
	SUBWF      _k+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main186
L__main215:
	CALL       _ust+0
L_main186:
;Chtb.c,393 :: 		if (k==7)  pod();      //  
	MOVF       _k+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_main187
	CALL       _pod+0
L_main187:
;Chtb.c,394 :: 		if (k==10) tim();      // 
	MOVF       _k+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L_main188
	CALL       _tim+0
L_main188:
;Chtb.c,395 :: 		if (k==11) bud();      // 
	MOVF       _k+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L_main189
	CALL       _bud+0
L_main189:
;Chtb.c,397 :: 		if (bd==1 && hhb==hh && mmb==mm && ss==0 && k==0) {k=11; bd1=1; bd2=0; e6=1;} // 
	BTFSS      _bd+0, BitPos(_bd+0)
	GOTO       L_main192
	MOVF       _hhb+0, 0
	XORWF      _hh+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main192
	MOVF       _mmb+0, 0
	XORWF      _mm+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main192
	MOVF       _ss+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main192
	MOVF       _k+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main192
L__main214:
	MOVLW      11
	MOVWF      _k+0
	BSF        _bd1+0, BitPos(_bd1+0)
	BCF        _bd2+0, BitPos(_bd2+0)
	BSF        _e6+0, BitPos(_e6+0)
L_main192:
;Chtb.c,398 :: 		if (tm==1 && hht==hh && mmt==mm && ss==0 || mm1==0) {porta.b1=1; tm=0;} // 
	BTFSS      _tm+0, BitPos(_tm+0)
	GOTO       L__main213
	MOVF       _hht+0, 0
	XORWF      _hh+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main213
	MOVF       _mmt+0, 0
	XORWF      _mm+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main213
	MOVF       _ss+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main213
	GOTO       L__main212
L__main213:
	MOVLW      0
	XORWF      _mm1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main265
	MOVLW      0
	XORWF      _mm1+0, 0
L__main265:
	BTFSC      STATUS+0, 2
	GOTO       L__main212
	GOTO       L_main197
L__main212:
	BSF        PORTA+0, 1
	BCF        _tm+0, BitPos(_tm+0)
L_main197:
;Chtb.c,399 :: 		}
L_main126:
;Chtb.c,400 :: 		}while(1);
	GOTO       L_main123
;Chtb.c,401 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
